/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.PagoTarjetaCredito;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author ryuuji
 */
@Stateless
public class PagoTarjetaCreditoFacade extends AbstractFacade<PagoTarjetaCredito> implements PagoTarjetaCreditoFacadeLocal {

  @PersistenceContext(unitName = "bank-ejbPU")
  private EntityManager em;

  @Override
  protected EntityManager getEntityManager() {
    return em;
  }

  public PagoTarjetaCreditoFacade() {
    super(PagoTarjetaCredito.class);
  }
  
}
